﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.Models.Library.Index>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Resources.egTracker.Library %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<h2><%=Resources.egTracker.Library %></h2>

<% if (Model.EditLibrary)
	 {  %>

<div style="margin-bottom:10px;">
<%=Html.ActionLink(Resources.egTracker.CreateNewFolder, "NewFolder", new { id = Model.FolderId })%>
&nbsp;
<%=Html.ActionLink(Resources.egTracker.UploadNewFiles, "NewFiles", new { id = Model.FolderId })%>
</div>

<% } %>

<table>

<tr>
<th><%=Resources.egTracker.Name %></th>
<th><%=Resources.egTracker.Size %></th>
<th><%=Resources.egTracker.Action %></th>
</tr>


<% foreach (egTracker.Models.Library.Index.DirectoryInfo directory in Model.Folders)
   { %>
   <tr>
   <td>
    <a href="<%=directory.DirectoryPath %>"><img src="<%=ResolveUrl("~/Images/ShellIcons/" + directory.IconName) %>" style="border:none;" /></a>
    <a href="<%=directory.DirectoryPath %>"><%=directory.Name %></a>    
   </td>
   <td><%=Html.Encode("<DIR>") %></td>
   <td></td>
   </tr>
<% } %>

<% foreach (egTracker.Models.Library.Index.FileInfo file in Model.Files)
   { %>
   <tr>
   <td>    
    <a target="_blank" href="<%=file.FilePath %>"><img src="<%=ResolveUrl("~/Images/ShellIcons/" + file.IconName) %>" style="border:none;" /></a>
    <a target="_blank" href="<%=file.FilePath %>"><%=file.Name %></a>        
   </td>
   <td><%=file.Length %></td>
   <td>
    <a target="_blank" href="<%=file.FilePath %>"><%=Resources.egTracker.View %></a>    
    <a target="_blank" href="<%=file.FileDownloadPath %>"><%=Resources.egTracker.Download %></a>    
   </td>
   </tr>
<% } %>

</table>

</asp:Content>
