<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.FormViewModels.TicketFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Edit
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Edit</h2>
    
    <%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>

    <% Html.RenderPartial("TicketTopMenu"); %>        
    
    
    <% using (Html.BeginForm("Edit", "Tickets", new { id = Model.Ticket.TicketId }, FormMethod.Post, new { enctype = "multipart/form-data" }))
			 {%>

			<% Html.RenderPartial("TicketDetailsLinks"); %>               

       <% Html.RenderPartial("TicketForm"); %>

			 <% Html.RenderPartial("TicketDetailsLinks"); %>               
        
    <% } %>
        
    
        
    <%if (Model.IsModeEdit)
      { %>

    <% using (Html.BeginForm("Add", "TicketRecordedTimes", new { id = Model.Ticket.TicketId }, FormMethod.Post))
       {%>
        
        <fieldset>
            <legend><%=Resources.egTracker.RecordedTime%></legend>
            
            <div class="Section">        
              <div class="Item">
                <label for="NewTimeHours"></label>
                <%= Html.DropDownList("NewTimeHours", Model.RecordTimeAvailableHours)%>      
                :
                <%= Html.DropDownList("NewTimeMinutes", Model.RecordTimeAvailableMinutes)%>      
                <input type="submit" value="<%=Resources.egTracker.Record %>" />
               </div>               
            </div>   
                                             
        </fieldset>
    
    <% }
      } %>
        
        <fieldset>
          <legend><%=Resources.egTracker.TimeGroupByMonth %></legend>
          <div class="Section">
            <table>
              <tr><th><%=Resources.egTracker.Year %></th><th><%=Resources.egTracker.Month %></th><th><%=Resources.egTracker.Time %></th><th><%=Resources.egTracker.Hours %></th></tr>
              <% foreach (egTracker.Models.TicketRecordedTimeRepository.structTimeGroupByMonth time in Model.TicketRecordedTimesGroupByMonth.ToList())
                 { %>
                 <tr>
                 <td><%=Html.Encode(time.Year) %></td>
                 <td><%=Html.Encode(time.Month) %></td>
                 <td><%=Html.Encode(egTracker.Helpers.ConvertHelpers.Minutes2TimeString(time.TimeInMinutes)) %></td>                 
                 <td><%=Html.Encode(egTracker.Helpers.ConvertHelpers.Minutes2HoursString(time.TimeInMinutes))%></td>
                 </tr>                 
              <% } %>
            </table>
          </div>
        </fieldset>
                
        <fieldset>
          <legend><%=Resources.egTracker.TimeGroupByMonthUser %></legend>
          <div class="Section">
            <table>
              <tr><th><%=Resources.egTracker.Year %></th><th><%=Resources.egTracker.Month %></th><th><%=Resources.egTracker.User %></th><th><%=Resources.egTracker.Time %></th><th><%=Resources.egTracker.Hours %></th></tr>
              <% foreach (egTracker.Models.TicketRecordedTimeRepository.structTimeGroupByMonthUser time in Model.TicketRecordedTimesGroupByMonthUser.ToList())
                 { %>
                 <tr>
                 <td><%=Html.Encode(time.Year) %></td>
                 <td><%=Html.Encode(time.Month) %></td>
                 <td><%=Html.Encode(time.UserName) %></td>
                 <td><%=Html.Encode(egTracker.Helpers.ConvertHelpers.Minutes2TimeString(time.TimeInMinutes)) %></td>                 
                 <td><%=Html.Encode(egTracker.Helpers.ConvertHelpers.Minutes2HoursString(time.TimeInMinutes))%></td>
                 </tr>                 
              <% } %>
            </table>
          </div>
        </fieldset>                
                
        <fieldset>
            <legend><%=Resources.egTracker.RecordedTime %></legend>
            
            <div class="Section">
              <table>
                <tr>
                <th><%=Resources.egTracker.Time %></th>
                <th><%=Resources.egTracker.RecordedBy %></th>
                <th><%=Resources.egTracker.RecordedOn %></th>
                </tr>
              
                <% foreach (egTracker.FormViewModels.TicketFormViewModel.RecordedTime t in Model.TicketRecordedTimes)
                   { %>
                   <tr>
                   <td><%=t.Time %></td> 
                   <td><%=t.RecordedBy %></td>
                   <td><%=t.RecordedOn %></td>
                   </tr>                   
              <% } %>
              </table>
            </div>
                       
        </fieldset>
                    
</asp:Content>